<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [getWarehouse](./bitburner.warehouseapi.getwarehouse.md)

## WarehouseAPI.getWarehouse() method

Get warehouse data

<b>Signature:</b>

```typescript
getWarehouse(divisionName: string, cityName: string): Warehouse;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  cityName | string | Name of the city |

<b>Returns:</b>

[Warehouse](./bitburner.warehouse.md)

warehouse data

